org.apache.log4j.chainsaw

## Class PopupListener

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - org.apache.log4j.chainsaw.PopupListener

- All Implemented Interfaces:
    MouseListener, MouseMotionListener, MouseWheelListener, EventListener

      public class PopupListener
      extends MouseAdapter

  Ensures that a specific popupMenu is displayed when the relevant mouse events are trapped.
  Author:
    Scott Deboy <sdeboy@apache.org>, Paul Smith <psmith@apache.org>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PopupListener(JPopupMenu popupMenu)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mouseClicked(MouseEvent e)`
    `void` | `mousePressed(MouseEvent e)`
    `void` | `mouseReleased(MouseEvent e)`

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PopupListener

          public PopupListener(JPopupMenu popupMenu)

  - ### Method Detail

    - #### mousePressed

          public void mousePressed(MouseEvent e)

      Specified by:
        `mousePressed` in interface `MouseListener`
      Overrides:
        `mousePressed` in class `MouseAdapter`

    - #### mouseReleased

          public void mouseReleased(MouseEvent e)

      Specified by:
        `mouseReleased` in interface `MouseListener`
      Overrides:
        `mouseReleased` in class `MouseAdapter`

    - #### mouseClicked

          public void mouseClicked(MouseEvent e)

      Specified by:
        `mouseClicked` in interface `MouseListener`
      Overrides:
        `mouseClicked` in class `MouseAdapter`

Copyright © 2002-2018 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache Chainsaw, Chainsaw, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.